Bug 1124434 - xhci_hcd module disable and crash usb 2.0 device on usb 3.0 only chip Intel NUC 34010 WYK [NEEDINFO]
Summary: xhci_hcd module disable and crash usb 2.0 device on usb 3.0 only chip Intel N...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 13:30 UTC by Helio Chissini de Castro
Modified: 2015-04-28 18:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 18:25:00 UTC
kernel-team: needinfo?


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-07-29 13:30:36 UTC
We have some Intel NUC 34010 WYK with the standard USB 3.0 controller and we have connected two webcam, model 74f:5a35 Syntek Sonix 1.3MPixel USB 2.0.

OPening a camera in any software, as a test resource kamoso or cheese, and kill the application causing non proper camera stream shutdown, xhci_hcd module loose the control over the device and renders it unusable until next reboot.

Since fedora kernel has builting xhci modules, is impossible to disable it, so a custom compiled kernel with xhci disabled on kernel config make the machne uses only ehci module, and system returns to work, at cost of not use any USB 3.0 device. At this moment we are using this solution for not have the need on USB 3.0 devices yet.

The relevant dmesg entry shows the xhci failure and a consequent v4l failure after second retry on camera after xhci failed


[  109.344310] xhci_hcd 0000:00:14.0: Signal while waiting for configure endpoint command
[  109.344565] usb 2-1: Not enough bandwidth for altsetting 0
[  111.656580] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88003f49d900
[  111.656586] xhci_hcd 0000:00:14.0: Trying to add endpoint 0x81 without dropping it.
[  111.656590] usb 2-1: Not enough bandwidth for altsetting 6
[  111.656592] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88003f49d900
[  111.656862] ------------[ cut here ]------------
[  111.656872] WARNING: CPU: 2 PID: 1501 at drivers/media/v4l2-core/videobuf2-core.c:2011 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
[  111.656874] Modules linked in: bnep cdc_acm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo videobuf2_vmalloc btusb videobuf2_memops videobuf2_core bluetooth videodev media vfat fat snd_hda_intel x86_pkg_temp_thermal coretemp snd_hda_controller kvm_intel snd_hda_codec kvm iTCO_wdt iTCO_vendor_support snd_hwdep crct10dif_pclmul crc32_pclmul snd_seq crc32c_intel snd_seq_device iwlwifi ir_lirc_codec lirc_dev ir_sharp_decoder ir_mce_kbd_decoder ir_sanyo_decoder ghash_clmulni_intel ir_sony_decoder ir_jvc_decoder ir_rc6_decoder cfg80211 microcode snd_pcm e1000e ir_rc5_decoder ir_nec_decoder rfkill ptp snd_timer lpc_ich i2c_i801 mfd_core shpchp snd pps_core soundcore rc_rc6_mce tpm_tis joydev sdhci_acpi nuvoton_cir tpm sdhci rc_core mmc_core dw_dmac dw_dmac_core i2c_hid i2c_designware_platform
[  111.656917]  i2c_designware_core touchinject(OE) i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[  111.656925] CPU: 2 PID: 1501 Comm: kamoso Tainted: G           OE 3.15.6-200.fc20.x86_64 #1
[  111.656927] Hardware name:                  /D34010WYK, BIOS WYLPT10H.86A.0021.2013.1017.1606 10/17/2013
[  111.656929]  0000000000000000 0000000053e2aa52 ffff880068627be0 ffffffff816ef48e
[  111.656932]  0000000000000000 ffff880068627c18 ffffffff8108933d 0000000000000000
[  111.656934]  ffff88003fb0b2e8 0000000000000000 ffff88003fb0b0d8 ffff88003fe1c480
[  111.656937] Call Trace:
[  111.656945]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[  111.656949]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[  111.656951]  [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
[  111.656955]  [<ffffffffa05ae4c6>] __vb2_queue_cancel+0x116/0x180 [videobuf2_core]
[  111.656959]  [<ffffffffa05afa95>] vb2_internal_streamoff+0x25/0x60 [videobuf2_core]
[  111.656963]  [<ffffffffa05afafd>] vb2_streamoff+0x2d/0x50 [videobuf2_core]
[  111.656967]  [<ffffffffa04fb435>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
[  111.656971]  [<ffffffffa0500431>] uvc_video_enable+0x141/0x1b0 [uvcvideo]
[  111.656975]  [<ffffffffa04fd0d7>] uvc_v4l2_do_ioctl+0xcd7/0x1620 [uvcvideo]
[  111.656980]  [<ffffffff811aec22>] ? remap_vmalloc_range_partial+0x92/0xd0
[  111.656985]  [<ffffffff811a3ace>] ? vma_gap_callbacks_rotate+0x1e/0x30
[  111.656989]  [<ffffffff8135342f>] ? __rb_insert_augmented+0x8f/0x1f0
[  111.656997]  [<ffffffffa04cfb4e>] video_usercopy+0x22e/0x5b0 [videodev]
[  111.657001]  [<ffffffffa04fc400>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
[  111.657005]  [<ffffffffa04fb7df>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
[  111.657010]  [<ffffffffa04c971b>] v4l2_ioctl+0x11b/0x150 [videodev]
[  111.657014]  [<ffffffff811f97d0>] do_vfs_ioctl+0x2e0/0x4a0
[  111.657016]  [<ffffffff811f9a11>] SyS_ioctl+0x81/0xa0
[  111.657021]  [<ffffffff8111fba6>] ? __audit_syscall_exit+0x1f6/0x2a0
[  111.657026]  [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b
[  111.657028] ---[ end trace f4ee7d835bcbbc62 ]---
[  111.657029] ------------[ cut here ]------------

Comment 1 Justin M. Forbes 2014-11-13 15:59:00 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 2 Fedora Kernel Team 2015-02-24 16:24:11 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Fedora Kernel Team 2015-04-28 18:25:00 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.